{ pkgs, ... }: {
  imports = [
    ./font.nix
    ./firefox.nix
    ./alacritty.nix
    ./vscode.nix
    ./1password.nix
    ./irc.nix
    ./emacs.nix
  ];

  home.packages = with pkgs; [
    # my primary note-taking tool
    obsidian
    # a video player
    mpv
    # a music player
    spotify
    # for watching stuff w/ friends
    syncplay
  ];

  home.sessionVariables = {
    MOZ_ENABLE_WAYLAND = 1;
    QT_QPA_PLATFORM = "wayland";
    LIBSEAT_BACKEND = "logind";
  };
}
