# yukari my main desktop workstation, running nixos
{ pkgs, ... }: {
  imports = [
    ./global.nix
    ./features/desktop
    ./features/desktop/games
    ./features/desktop/obs.nix
    ./features/devel/js.nix
    ./features/devel/java.nix
    ./features/devel/rust.nix
    ./features/devel/python.nix
    ./features/devel/dbs.nix
  ];

  # Install:
  # - Solaar, a management application for Logitech dongle devices
  # - Chatterino, for checking chat when live streaming
  home.packages = with pkgs; [ solaar chatterino2 ];

  #  ----------   ------
  # | HDMI-A-5 | | DP-5 |
  #  ----------   ------
  monitors = [
    {
      name = "HDMI-A-1";
      width = 3440;
      height = 1440;
      workspace = "1";
      primary = true;
      position = "0x0";
    }
    {
      name = "DP-3";
      width = 2560;
      height = 1440;
      workspace = "2";
      position = "3440x0";
    }
  ];
}
